# SalesChannelAttributeSchemas

## Get an attribute schema by ID

> Returns an attribute schema by its ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeSchema":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"name":{"type":"string","maxLength":255},"schema":{"type":"object"},"channel":{"type":"integer"},"created_date":{"type":"string","format":"date-time","readOnly":true},"modified_date":{"type":"string","format":"date-time","readOnly":true}},"required":["name","schema","channel"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/channel/{channel_id}/attribute_schemas/{id}/":{"get":{"summary":"Get an attribute schema by ID","description":"Returns an attribute schema by its ID","tags":["SalesChannelAttributeSchemas"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSchema"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Update an attribute schema

> Update an existing attribute schema

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeSchemaUpdate":{"type":"object","properties":{"name":{"type":"string","maxLength":255},"schema":{"type":"object"},"channel":{"type":"integer","description":"Sales channel id"}},"required":["name","schema","channel"]},"MarketPlaceAttributeSchema":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"name":{"type":"string","maxLength":255},"schema":{"type":"object"},"channel":{"type":"integer"},"created_date":{"type":"string","format":"date-time","readOnly":true},"modified_date":{"type":"string","format":"date-time","readOnly":true}},"required":["name","schema","channel"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/channel/{channel_id}/attribute_schemas/{id}/":{"put":{"summary":"Update an attribute schema","description":"Update an existing attribute schema","tags":["SalesChannelAttributeSchemas"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSchemaUpdate"}}}},"responses":{"200":{"description":"Attribute schema updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSchema"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Partial update an attribute schema

> Partial update an existing attribute schema

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeSchemaPatch":{"type":"object","properties":{"name":{"type":"string","maxLength":255},"schema":{"type":"object"},"channel":{"type":"integer","description":"Sales channel id"}}},"MarketPlaceAttributeSchema":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"name":{"type":"string","maxLength":255},"schema":{"type":"object"},"channel":{"type":"integer"},"created_date":{"type":"string","format":"date-time","readOnly":true},"modified_date":{"type":"string","format":"date-time","readOnly":true}},"required":["name","schema","channel"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/channel/{channel_id}/attribute_schemas/{id}/":{"patch":{"summary":"Partial update an attribute schema","description":"Partial update an existing attribute schema","tags":["SalesChannelAttributeSchemas"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSchemaPatch"}}}},"responses":{"200":{"description":"Attribute schema updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSchema"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List attribute schemas for a sales channel

> Returns a list of attribute schemas for a sales channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"name":{"name":"name","in":"query","description":"Filter by name.","schema":{"type":"string"}}},"schemas":{"MarketPlaceAttributeSchema":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"name":{"type":"string","maxLength":255},"schema":{"type":"object"},"channel":{"type":"integer"},"created_date":{"type":"string","format":"date-time","readOnly":true},"modified_date":{"type":"string","format":"date-time","readOnly":true}},"required":["name","schema","channel"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/channel/{channel_id}/attribute_schemas/":{"get":{"summary":"List attribute schemas for a sales channel","description":"Returns a list of attribute schemas for a sales channel","tags":["SalesChannelAttributeSchemas"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/name"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MarketPlaceAttributeSchema"}}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Create a new attribute schema

> Create a new attribute schema for a sales channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeSchemaCreate":{"type":"object","properties":{"name":{"type":"string","maxLength":255},"schema":{"type":"object"},"channel":{"type":"integer","description":"Sales channel id"}},"required":["name"]},"MarketPlaceAttributeSchema":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"name":{"type":"string","maxLength":255},"schema":{"type":"object"},"channel":{"type":"integer"},"created_date":{"type":"string","format":"date-time","readOnly":true},"modified_date":{"type":"string","format":"date-time","readOnly":true}},"required":["name","schema","channel"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/channel/{channel_id}/attribute_schemas/":{"post":{"summary":"Create a new attribute schema","description":"Create a new attribute schema for a sales channel","tags":["SalesChannelAttributeSchemas"],"parameters":[{"$ref":"#/components/parameters/channel_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSchemaCreate"}}}},"responses":{"201":{"description":"Attribute schema created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSchema"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/saleschannelattributeschemas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
